"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseContent = void 0;
const Base_1 = require("./Base");
const User_1 = require("./User");
class BaseContent extends Base_1.Base {
    constructor(client, id, payload) {
        super(client, id, payload);
        this._creator = null;
        this.payload = payload;
    }
    /**
     * The ID of the Content.
     */
    get id() {
        return super.id;
    }
    get creator() {
        if (this._creator)
            return this._creator;
        let user = this.get("creator");
        user ? (this._creator = new User_1.User(this.client, user.id, user)) : null;
    }
}
exports.BaseContent = BaseContent;
//# sourceMappingURL=BaseContent.js.map