import { RESTAPIError as APIError } from "@ifunny/ifunny-api-types";
import { iFunnyErrorCodes } from "../errors/iFunnyErrorCodes";
export declare function handleAPIError(error: APIError): {
    "__#1@#_code": iFunnyErrorCodes;
    readonly code: iFunnyErrorCodes;
    readonly error: string;
    readonly name: string;
    message: string;
    stack?: string | undefined;
    cause?: Error | undefined;
};
export declare function handleError(error: unknown): {
    "__#1@#_code": iFunnyErrorCodes;
    readonly code: iFunnyErrorCodes;
    readonly error: string;
    readonly name: string;
    message: string;
    stack?: string | undefined;
    cause?: Error | undefined;
} | Error;
