import { BasicAuthConfig, BasicAuthLength } from "./Util";
export declare type SemanticVersion = `${number}.${number}.${number}`;
export declare const DefaultAppVersion: SemanticVersion;
export declare const DefaultAppBuild: number;
export declare const DefaultAppAgent: string;
export declare const DefaultClientId: string;
export declare const DefaultClientSecret: string;
export declare const DefaultBasicTokenLength: BasicAuthLength;
export declare const DefaultBasicAuthConfig: BasicAuthConfig;
export declare const DefaultDeviceOS = "Android";
export declare const DefaultOSVersion = "7.1.2";
export declare const DefaultDeviceBrand = "samsung";
export declare const DefaultDeviceModel = "SM-G973N";
export declare const DefaultDeviceAgent: string;
export declare const DefaultUserAgent: string;
export declare const APIVersion = 4;
export declare const APIBase = "api.ifunny.mobi";
export declare const WebSocketBase = "chat.ifunny.co";
export declare const iFunnyProjectId = "iFunny";
export declare const DefaultAccept = "application/json,image/jpeg,image/webp,video/mp4";
export declare const DefaultAcceptLang = "en";
export declare const DefaultAcceptEncoding = "gzip";
export declare const DefaultApplicationState = 1;
export declare const DefaultHeaders: {
    "ifunny-project-id": string;
    accept: string;
    "accept-encoding": string;
    "accept-language": string;
    "user-agent": string;
};
//# sourceMappingURL=Constants.d.ts.map