import { CachedManager } from "./CachedManager";
import { Client } from "../client/Client";
import { User } from "../structures/User";
export declare class UserManager extends CachedManager<typeof User> {
    constructor(client: Client);
    /**
     * @param idOrNick Id or nick of the user
     * @param byNick Whether to lookup by nick
     * @param cached Whater to return the cached result
     * @returns
     */
    fetch(idOrNick: string, byNick?: boolean, cached?: boolean): Promise<User | null>;
}
//# sourceMappingURL=UserManager.d.ts.map