import { Token } from "./Token";
interface BasicTokenConfig {
    clientId?: string;
    clientSecret?: string;
    length?: 112 | 156;
}
export declare class Basic extends Token {
    protected _config: BasicTokenConfig;
    constructor(token?: string | Token | null, config?: BasicTokenConfig);
    /**
     * Updates the value of the basic token\
     * ? Useful for bypassing installation bans
     * @returns New basic token
     */
    new(config?: BasicTokenConfig): Basic;
    static new(config?: BasicTokenConfig): Basic;
}
export {};
