import { APIMemeExperience } from "@ifunny/ifunny-api-types";
/**
 * The Meme Experience for a user
 */
export declare class MemeExperience {
    protected data: APIMemeExperience;
    constructor(data: APIMemeExperience);
    /**
     * The user's rank
     */
    get rank(): "Meme explorer" | "Meme bro" | "Meme daddy" | "Dank memer" | "Meme master baker" | "Deep fried memer" | "Saucy memer" | "Original Meme Gangster" | "Meme demon" | "Steal beams of memes" | "Meme dealer" | "iFunny Veteran" | "Chef's meme agent";
    /**
     * How many days the user has spent logged in
     */
    get days(): number;
    /**
     * Url of the badge
     * @example
     * `https://img.ifunny.co/meme_experience/${number}.png`
     */
    get badgeUrl(): string;
    /**
     * Size of the badge
     */
    get badgeSize(): import("@ifunny/ifunny-api-types").Size;
    /**
     * Days needed to get the next rank\
     * ? Chef's Meme Agent will show 3000 but does not change when it reaches it
     */
    get nextMilestone(): number;
}
//# sourceMappingURL=MemeExperience.d.ts.map